Staff Capacity
GET
/businesses/{businessId}/staff/{staffId}/capacity
const url = 'https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/staff/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/capacity';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/staff/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/capacity \ --header 'Authorization: Bearer <token>'Retrieve Capacity for a Staff Member
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” businessId
required
string format: uuid
Business ID
staffId
required
string format: uuid
Staff ID
Query Parameters
Section titled “Query Parameters ” startDate
string format: date-time
Start of date range
endDate
string format: date-time
End of date range
Responses
Section titled “ Responses ”A Staff member within your business
Media type application/json
object
data
object
blockedTime
Total minutes blocked by external events or time blockers.
object
externalEvents
number
timeBlockers
number
bookableMinutes
Total minutes the staff could potentially be booked (from his working hours).
number
availableBookableMinutes
Total minutes the staff was available for booking (bookable minutes minus blocked minutes)
number
bookedMinutes
Total minutes the staff was booked.
number
Example generated
{ "data": { "blockedTime": { "externalEvents": 1, "timeBlockers": 1 }, "bookableMinutes": 1, "availableBookableMinutes": 1, "bookedMinutes": 1 }}